Bug 251306 - x11-drivers/xf86-video-intel: update to 2.99.917.912 (2020-11-16 snapshot)
Summary: x11-drivers/xf86-video-intel: update to 2.99.917.912 (2020-11-16 snapshot)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-x11 (Nobody)
URL: https://gitlab.freedesktop.org/xorg/d...
Keywords: patch, patch-ready
Depends on: 236003
Blocks: 251963
  Show dependency treegraph
 
Reported: 2020-11-22 10:00 UTC by Jan Beich
Modified: 2020-12-19 17:00 UTC (History)
4 users (show)

See Also:


Attachments
v1 (2.17 KB, patch)
2020-11-22 10:00 UTC, Jan Beich
zeising: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2020-11-22 10:00:50 UTC
Created attachment 219877 [details]
v1

See URL for changelog. Contains a fix for Haswell and prepares for xorg-server 1.21.0 by adapting to https://gitlab.freedesktop.org/xorg/xserver/-/commit/ea47af87f692

Lightly tested on drm-devel-kmod + 0x1912 (Skylake) with SNA enabled by running firefox, alacritty, "picom --experimental-backends", "mpv --hwdec=vaapi", "cage -d vkcube-wayland" (nested on Xorg).
Comment 1 Oleksandr Kryvulia 2020-11-22 13:35:14 UTC
Works as usual on my Lenovo Thinkpad T490 (drm-devel-kmod + SNA).
Comment 2 Oleh Hushchenkov 2020-11-22 14:12:46 UTC
Tested on T440p with Haswell mobile iGPU: 12-STABLE, drm-fbsd12.0-kmod, SNA, DRI2, TearFree.

It's stable, but I see this difference on glxgears.

After update:
~ ❯❯❯ vblank_mode=0 glxgears                              
ATTENTION: default value of option vblank_mode overridden by environment.
2396 frames in 5.0 seconds = 479.175 FPS
2404 frames in 5.0 seconds = 480.742 FPS

With current version from ports:
~ ❯❯❯ vblank_mode=0 glxgears
ATTENTION: default value of option vblank_mode overridden by environment.
2880 frames in 5.0 seconds = 575.896 FPS
2893 frames in 5.0 seconds = 578.517 FPS

However, https://webglsamples.org/aquarium/aquarium.html in www/chromium shows no difference.
Comment 3 Niclas Zeising freebsd_committer 2020-11-23 08:51:10 UTC
Comment on attachment 219877 [details]
v1

Approved.
Comment 4 commit-hook freebsd_committer 2020-11-23 10:47:09 UTC
A commit references this bug:

Author: jbeich
Date: Mon Nov 23 10:47:07 UTC 2020
New revision: 556100
URL: https://svnweb.freebsd.org/changeset/ports/556100

Log:
  x11-drivers/xf86-video-intel: update to 2.99.917.912 (2020-11-16 snapshot)

  Changes:	https://gitlab.freedesktop.org/xorg/driver/xf86-video-intel/-/compare/5ca3ac1a90af...ad5540f6ecae
  PR:		251306
  Tested by:	Oleksandr Kryvulia, Oleh Hushchenkov
  Approved by:	zeising

Changes:
  head/x11-drivers/xf86-video-intel/Makefile
  head/x11-drivers/xf86-video-intel/distinfo
Comment 5 Jan Beich freebsd_committer 2020-11-23 11:30:37 UTC
(In reply to Oleh Hushchenkov from comment #2)
glxgears is a debugging tool, not a benchmark. Better use benchmarks/glmark2 and maybe filter out noise via ministat(1).
xf86-video-intel also affects 2D performance which can be benchmarked via x11/x11perf.
Comment 6 Oleh Hushchenkov 2020-11-23 11:37:01 UTC
(In reply to Jan Beich from comment #5)
Good to see this committed. I'll look on benchmarks.

Thank you, Jan.
Comment 7 Alexey Dokuchaev freebsd_committer 2020-11-27 04:44:48 UTC
(In reply to Oleh Hushchenkov from comment #6)
> I'll look on benchmarks.
In addition to `benchmarks/glmark2', you might also find `benchmarks/linux-gputest' and `benchmarks/mangohud' ports useful.
Comment 8 Oleh Hushchenkov 2020-11-27 15:58:15 UTC
(In reply to Alexey Dokuchaev from comment #7)
Will look on these. Thanks!